[ SYSTEM ]: Linux srv.persadacompanies.com 4.18.0-553.56.1.el8_10.x86_64 #1 SMP Tue Jun 10 05:00:59 EDT 2025 x86_64
[ SERVER ]: Apache | PHP: 8.4.19
[ USER ]: persadamedika | IP: 45.64.1.108
GEFORCE FILE MANAGER
/
usr
/
src
/
kernels
/
4.18.0-553.56.1.el8_10.x86_64
/
scripts
/
UPLOAD:
NAME
SIZE
QUICK PERMS
ACTIONS
📁 basic
SET
[ DEL ]
📁 clang-tools
SET
[ DEL ]
📁 coccinelle
SET
[ DEL ]
📁 dtc
SET
[ DEL ]
📁 gcc-plugins
SET
[ DEL ]
📁 gdb
SET
[ DEL ]
📁 genksyms
SET
[ DEL ]
📁 kconfig
SET
[ DEL ]
📁 ksymoops
SET
[ DEL ]
📁 mod
SET
[ DEL ]
📁 package
SET
[ DEL ]
📁 selinux
SET
[ DEL ]
📄 Kbuild.include
15,468 B
SET
[ EDIT ]
|
[ DEL ]
📄 Kconfig.include
1,173 B
SET
[ EDIT ]
|
[ DEL ]
📄 Lindent
502 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile
1,741 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.asm-generic
1,193 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.build
19,707 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.clean
2,883 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.dtbinst
1,116 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.extrawarn
2,770 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.gcc-plugins
1,861 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.headersinst
4,079 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.host
6,520 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kasan
1,679 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kcov
319 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kcsan
118 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.lib
15,535 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modbuiltin
1,717 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modinst
1,149 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modpost
5,430 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modsign
897 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.ubsan
951 B
SET
[ EDIT ]
|
[ DEL ]
📄 adjust_autoksyms.sh
3,010 B
SET
[ EDIT ]
|
[ DEL ]
📄 asn1_compiler
28,008 B
SET
[ EDIT ]
|
[ DEL ]
📄 asn1_compiler.c
36,391 B
SET
[ EDIT ]
|
[ DEL ]
📄 bin2c
7,024 B
SET
[ EDIT ]
|
[ DEL ]
📄 bin2c.c
743 B
SET
[ EDIT ]
|
[ DEL ]
📄 bloat-o-meter
3,313 B
SET
[ EDIT ]
|
[ DEL ]
📄 bootgraph.pl
6,426 B
SET
[ EDIT ]
|
[ DEL ]
📄 bpf_doc.py
25,515 B
SET
[ EDIT ]
|
[ DEL ]
📄 cc-can-link.sh
166 B
SET
[ EDIT ]
|
[ DEL ]
📄 check_00index.sh
1,333 B
SET
[ EDIT ]
|
[ DEL ]
📄 check_extable.sh
5,049 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkincludes.pl
1,984 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkkconfigsymbols.py
15,895 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkpatch.pl
197,173 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkstack.pl
5,303 B
SET
[ EDIT ]
|
[ DEL ]
📄 checksyscalls.sh
7,094 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkversion.pl
1,938 B
SET
[ EDIT ]
|
[ DEL ]
📄 clang-version.sh
635 B
SET
[ EDIT ]
|
[ DEL ]
📄 cleanfile
3,538 B
SET
[ EDIT ]
|
[ DEL ]
📄 cleanpatch
5,178 B
SET
[ EDIT ]
|
[ DEL ]
📄 coccicheck
7,407 B
SET
[ EDIT ]
|
[ DEL ]
📄 config
4,635 B
SET
[ EDIT ]
|
[ DEL ]
📄 conmakehash
11,616 B
SET
[ EDIT ]
|
[ DEL ]
📄 conmakehash.c
6,128 B
SET
[ EDIT ]
|
[ DEL ]
📄 const_structs.checkpatch
964 B
SET
[ EDIT ]
|
[ DEL ]
📄 decode_stacktrace.sh
3,834 B
SET
[ EDIT ]
|
[ DEL ]
📄 decodecode
2,525 B
SET
[ EDIT ]
|
[ DEL ]
📄 depmod.sh
1,119 B
SET
[ EDIT ]
|
[ DEL ]
📄 diffconfig
3,821 B
SET
[ EDIT ]
|
[ DEL ]
📄 documentation-file-ref-check
3,548 B
SET
[ EDIT ]
|
[ DEL ]
📄 export_report.pl
4,654 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-cert
11,616 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-cert.c
3,541 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-ikconfig
1,734 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-module-sig.pl
3,742 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-sys-certs.pl
3,832 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-vmlinux
1,725 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract_xc3028.pl
45,665 B
SET
[ EDIT ]
|
[ DEL ]
📄 faddr2line
6,303 B
SET
[ EDIT ]
|
[ DEL ]
📄 file-size.sh
86 B
SET
[ EDIT ]
|
[ DEL ]
📄 find-unused-docs.sh
1,310 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-goto.sh
530 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-ld
711 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-plugin.sh
1,090 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-version.sh
857 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-x86_32-has-stack-protector.sh
173 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-x86_64-has-stack-protector.sh
198 B
SET
[ EDIT ]
|
[ DEL ]
📄 gen_initramfs_list.sh
8,224 B
SET
[ EDIT ]
|
[ DEL ]
📄 get_dvb_firmware
25,824 B
SET
[ EDIT ]
|
[ DEL ]
📄 get_maintainer.pl
67,369 B
SET
[ EDIT ]
|
[ DEL ]
📄 gfp-translate
1,752 B
SET
[ EDIT ]
|
[ DEL ]
📄 headerdep.pl
3,582 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers.sh
512 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers_check.pl
3,815 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers_install.sh
1,397 B
SET
[ EDIT ]
|
[ DEL ]
📄 insert-sys-cert.c
9,084 B
SET
[ EDIT ]
|
[ DEL ]
📄 kallsyms
19,992 B
SET
[ EDIT ]
|
[ DEL ]
📄 kallsyms.c
18,580 B
SET
[ EDIT ]
|
[ DEL ]
📄 kernel-doc
62,560 B
SET
[ EDIT ]
|
[ DEL ]
📄 ld-version.sh
269 B
SET
[ EDIT ]
|
[ DEL ]
📄 leaking_addresses.pl
13,160 B
SET
[ EDIT ]
|
[ DEL ]
📄 link-vmlinux.sh
9,176 B
SET
[ EDIT ]
|
[ DEL ]
📄 makelst
808 B
SET
[ EDIT ]
|
[ DEL ]
📄 markup_oops.pl
8,273 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkcompile_h
2,628 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkmakefile
1,218 B
SET
[ EDIT ]
|
[ DEL ]
📄 mksysmap
1,359 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkuboot.sh
414 B
SET
[ EDIT ]
|
[ DEL ]
📄 module-common.lds
901 B
SET
[ EDIT ]
|
[ DEL ]
📄 modules.order
0 B
SET
[ EDIT ]
|
[ DEL ]
📄 namespace.pl
13,358 B
SET
[ EDIT ]
|
[ DEL ]
📄 objdiff
2,917 B
SET
[ EDIT ]
|
[ DEL ]
📄 parse-maintainers.pl
4,646 B
SET
[ EDIT ]
|
[ DEL ]
📄 patch-kernel
10,185 B
SET
[ EDIT ]
|
[ DEL ]
📄 pnmtologo
15,720 B
SET
[ EDIT ]
|
[ DEL ]
📄 pnmtologo.c
12,197 B
SET
[ EDIT ]
|
[ DEL ]
📄 profile2linkerlist.pl
410 B
SET
[ EDIT ]
|
[ DEL ]
📄 prune-kernel
708 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount
24,008 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.c
17,062 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.h
16,772 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.pl
18,709 B
SET
[ EDIT ]
|
[ DEL ]
📄 setlocalversion
4,013 B
SET
[ EDIT ]
|
[ DEL ]
📄 show_delta
3,076 B
SET
[ EDIT ]
|
[ DEL ]
📄 sign-file
15,768 B
SET
[ EDIT ]
|
[ DEL ]
📄 sign-file.c
9,994 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable
15,712 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable.c
10,411 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable.h
5,614 B
SET
[ EDIT ]
|
[ DEL ]
📄 spelling.txt
25,611 B
SET
[ EDIT ]
|
[ DEL ]
📄 sphinx-pre-install
14,378 B
SET
[ EDIT ]
|
[ DEL ]
📄 split-man.pl
600 B
SET
[ EDIT ]
|
[ DEL ]
📄 stackdelta
1,883 B
SET
[ EDIT ]
|
[ DEL ]
📄 stackusage
794 B
SET
[ EDIT ]
|
[ DEL ]
📄 subarch.include
641 B
SET
[ EDIT ]
|
[ DEL ]
📄 tags.sh
9,789 B
SET
[ EDIT ]
|
[ DEL ]
📄 test_fortify.sh
2,281 B
SET
[ EDIT ]
|
[ DEL ]
📄 unifdef
36,192 B
SET
[ EDIT ]
|
[ DEL ]
📄 unifdef.c
35,637 B
SET
[ EDIT ]
|
[ DEL ]
📄 ver_linux
2,747 B
SET
[ EDIT ]
|
[ DEL ]
📄 xen-hypercalls.sh
386 B
SET
[ EDIT ]
|
[ DEL ]
📄 xz_wrap.sh
562 B
SET
[ EDIT ]
|
[ DEL ]
DELETE SELECTED
[ CLOSE ]
EDIT: faddr2line
#!/bin/bash # SPDX-License-Identifier: GPL-2.0 # # Translate stack dump function offsets. # # addr2line doesn't work with KASLR addresses. This works similarly to # addr2line, but instead takes the 'func+0x123' format as input: # # $ ./scripts/faddr2line ~/k/vmlinux meminfo_proc_show+0x5/0x568 # meminfo_proc_show+0x5/0x568: # meminfo_proc_show at fs/proc/meminfo.c:27 # # If the address is part of an inlined function, the full inline call chain is # printed: # # $ ./scripts/faddr2line ~/k/vmlinux native_write_msr+0x6/0x27 # native_write_msr+0x6/0x27: # arch_static_branch at arch/x86/include/asm/msr.h:121 # (inlined by) static_key_false at include/linux/jump_label.h:125 # (inlined by) native_write_msr at arch/x86/include/asm/msr.h:125 # # The function size after the '/' in the input is optional, but recommended. # It's used to help disambiguate any duplicate symbol names, which can occur # rarely. If the size is omitted for a duplicate symbol then it's possible for # multiple code sites to be printed: # # $ ./scripts/faddr2line ~/k/vmlinux raw_ioctl+0x5 # raw_ioctl+0x5/0x20: # raw_ioctl at drivers/char/raw.c:122 # # raw_ioctl+0x5/0xb1: # raw_ioctl at net/ipv4/raw.c:876 # # Multiple addresses can be specified on a single command line: # # $ ./scripts/faddr2line ~/k/vmlinux type_show+0x10/45 free_reserved_area+0x90 # type_show+0x10/0x2d: # type_show at drivers/video/backlight/backlight.c:213 # # free_reserved_area+0x90/0x123: # free_reserved_area at mm/page_alloc.c:6429 (discriminator 2) set -o errexit set -o nounset READELF="${CROSS_COMPILE:-}readelf" ADDR2LINE="${CROSS_COMPILE:-}addr2line" SIZE="${CROSS_COMPILE:-}size" NM="${CROSS_COMPILE:-}nm" command -v awk >/dev/null 2>&1 || die "awk isn't installed" command -v ${READELF} >/dev/null 2>&1 || die "readelf isn't installed" command -v ${ADDR2LINE} >/dev/null 2>&1 || die "addr2line isn't installed" command -v ${SIZE} >/dev/null 2>&1 || die "size isn't installed" command -v ${NM} >/dev/null 2>&1 || die "nm isn't installed" usage() { echo "usage: faddr2line [--list] <object file> <func+offset> <func+offset>..." >&2 exit 1 } warn() { echo "$1" >&2 } die() { echo "ERROR: $1" >&2 exit 1 } # Try to figure out the source directory prefix so we can remove it from the # addr2line output. HACK ALERT: This assumes that start_kernel() is in # kernel/init.c! This only works for vmlinux. Otherwise it falls back to # printing the absolute path. find_dir_prefix() { local objfile=$1 local start_kernel_addr=$(${READELF} -sW $objfile | awk '$8 == "start_kernel" {printf "0x%s", $2}') [[ -z $start_kernel_addr ]] && return local file_line=$(${ADDR2LINE} -e $objfile $start_kernel_addr) [[ -z $file_line ]] && return local prefix=${file_line%init/main.c:*} if [[ -z $prefix ]] || [[ $prefix = $file_line ]]; then return fi DIR_PREFIX=$prefix return 0 } __faddr2line() { local objfile=$1 local func_addr=$2 local dir_prefix=$3 local print_warnings=$4 local func=${func_addr%+*} local offset=${func_addr#*+} offset=${offset%/*} local size= [[ $func_addr =~ "/" ]] && size=${func_addr#*/} if [[ -z $func ]] || [[ -z $offset ]] || [[ $func = $func_addr ]]; then warn "bad func+offset $func_addr" DONE=1 return fi # Go through each of the object's symbols which match the func name. # In rare cases there might be duplicates. file_end=$(${SIZE} -Ax $objfile | awk '$1 == ".text" {print $2}') while read symbol; do local fields=($symbol) local sym_base=0x${fields[0]} local sym_type=${fields[1]} local sym_end=${fields[3]} # calculate the size local sym_size=$(($sym_end - $sym_base)) if [[ -z $sym_size ]] || [[ $sym_size -le 0 ]]; then warn "bad symbol size: base: $sym_base end: $sym_end" DONE=1 return fi sym_size=0x$(printf %x $sym_size) # calculate the address local addr=$(($sym_base + $offset)) if [[ -z $addr ]] || [[ $addr = 0 ]]; then warn "bad address: $sym_base + $offset" DONE=1 return fi addr=0x$(printf %x $addr) # weed out non-function symbols if [[ $sym_type != t ]] && [[ $sym_type != T ]]; then [[ $print_warnings = 1 ]] && echo "skipping $func address at $addr due to non-function symbol of type '$sym_type'" continue fi # if the user provided a size, make sure it matches the symbol's size if [[ -n $size ]] && [[ $size -ne $sym_size ]]; then [[ $print_warnings = 1 ]] && echo "skipping $func address at $addr due to size mismatch ($size != $sym_size)" continue; fi # make sure the provided offset is within the symbol's range if [[ $offset -gt $sym_size ]]; then [[ $print_warnings = 1 ]] && echo "skipping $func address at $addr due to size mismatch ($offset > $sym_size)" continue fi # separate multiple entries with a blank line [[ $FIRST = 0 ]] && echo FIRST=0 # pass real address to addr2line echo "$func+$offset/$sym_size:" local file_lines=$(${ADDR2LINE} -fpie $objfile $addr | sed "s; $dir_prefix\(\./\)*; ;") [[ -z $file_lines ]] && return if [[ $LIST = 0 ]]; then echo "$file_lines" | while read -r line do echo $line done DONE=1; return fi # show each line with context echo "$file_lines" | while read -r line do echo echo $line n=$(echo $line | sed 's/.*:\([0-9]\+\).*/\1/g') n1=$[$n-5] n2=$[$n+5] f=$(echo $line | sed 's/.*at \(.\+\):.*/\1/g') awk 'NR>=strtonum("'$n1'") && NR<=strtonum("'$n2'") { if (NR=='$n') printf(">%d<", NR); else printf(" %d ", NR); printf("\t%s\n", $0)}' $f done DONE=1 done < <(${NM} -n $objfile | awk -v fn=$func -v end=$file_end '$3 == fn { found=1; line=$0; start=$1; next } found == 1 { found=0; print line, "0x"$1 } END {if (found == 1) print line, end; }') } [[ $# -lt 2 ]] && usage objfile=$1 LIST=0 [[ "$objfile" == "--list" ]] && LIST=1 && shift && objfile=$1 [[ ! -f $objfile ]] && die "can't find objfile $objfile" shift DIR_PREFIX=supercalifragilisticexpialidocious find_dir_prefix $objfile FIRST=1 while [[ $# -gt 0 ]]; do func_addr=$1 shift # print any matches found DONE=0 __faddr2line $objfile $func_addr $DIR_PREFIX 0 # if no match was found, print warnings if [[ $DONE = 0 ]]; then __faddr2line $objfile $func_addr $DIR_PREFIX 1 warn "no match for $func_addr" fi done